package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.DrawApplyOrder;

public interface DrawApplyOrderMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(DrawApplyOrder record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(DrawApplyOrder record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return DrawApplyOrder
     */
    DrawApplyOrder selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(DrawApplyOrder record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(DrawApplyOrder record);
}